Browser requirements

Use a supported web browser to utilize PayMaker. We strongly recommend using the latest version of one of the following browsers:

  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  • Safari

Using an older version of a supported browser or an unsupported browser may cause PayMaker not to work as designed. The ability to continue using our service may be available, but the speed and performance will be impacted.

Note: While you are able to use PayMaker on Internet Explorer, it is not an optimized experience. For a better experience, use Microsoft Edge.


Mobile app for Collaborators

For mobile devices, Bill.com offers native apps for iOS and Android for Collaborators that sign in from the Bill.com login page. Alternatively, log in to PayMaker using the web browser on any mobile device, but we cannot guarantee the quality of performance on all mobile devices or browsers equally.


Untrusted session

If you get an untrusted session error when you are requesting a multi-factor authentication(MFA)/2-step verification code:

  1. Log out of PayMaker
  2. Clear your browser's cookies/cache
  3. Use Chrome as your browser if at all possible
  4. Log back into PayMaker

If you continue getting the error, please contact Customer Support.